Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

EDI, CMS, Outils, Scripts et API PHP Discussion :

[eZ Publish] [ez 5] Impossible d'utiliser site avec symphony 2


Sujet :

EDI, CMS, Outils, Scripts et API PHP

  1. #1
    Membre du Club
    Homme Profil pro
    Développeur informatique
    Inscrit en
    mars 2013
    Messages
    32
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Haute Garonne (Midi Pyrénées)

    Informations professionnelles :
    Activité : Développeur informatique
    Secteur : Aéronautique - Marine - Espace - Armement

    Informations forums :
    Inscription : mars 2013
    Messages : 32
    Points : 53
    Points
    53
    Par défaut [eZ Publish] [ez 5] Impossible d'utiliser site avec symphony 2
    Bonjour à tous,

    Ca fait une semaine que j'essaie de configurer mon site en utilisant la partie symfony 2 d'ez. J'ai fait une installe toute fraîche d'un serveur debian avec ez 2014.01; Je l'ai installé et tout fonctionne avec ezdemo_site. Maintenant, je rajoute 2 siteaccess dans ezpublish_legacy/settings/siteaccess, un pour le site normal (mon_site) et un pour l'administration (mon_site_admin). Ensuite, je fais dans ma console :
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    php ezpublish/console ezpublish:configure mon_site mon_site_admin
    La ez me génère le ezpublish.yml, et quand je vais dedans je vois bien la config avec mon_site/mon_site_admin. Or quand je vais sur le site, je mets IPSERVER/ezpublish5/web/index.php/mon_site ou si je fais IPSERVER/ezpublish5/web/index.php/mon_site_admin, la j'ai un "Module non trouvé".
    J'ai vidé les caches, même constat, j'ai tappé
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    php ezpublish/console assets:install web
    même constat. J'ai créé un Bundle pour faire un test avec la génération automatique du "Hello/{name}" et en tappant IPSERVER/ezpublish5/web/index.php/mon_site/hello/nom, j'ai le même message pareil pour IPSERVER/ezpublish5/web/index.php/hello/nom.

    Je commence à tourner en rond alors si quelqu'un avait une idée pour m'aider?

    Merci par avance

  2. #2
    Nouveau Candidat au Club
    Homme Profil pro
    Ingénieur développement logiciels
    Inscrit en
    avril 2014
    Messages
    1
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Rhône (Rhône Alpes)

    Informations professionnelles :
    Activité : Ingénieur développement logiciels
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : avril 2014
    Messages : 1
    Points : 1
    Points
    1
    Par défaut
    Bonjour,

    le script ezpublish:configure n'est pas conçu pour être utilisé sur une installation fonctionnelle. Il est vraiment conçu comme outil de migration, et est destiné à convertir les paramètres legacy en paramètres Symfony2.

    J'avoue ne pas saisir votre besoin exact. Voulez-vous héberger deux projects différents sur la même instance ? Généralement, l'installation créée par l'assistant est modifiée/renommée pour coller au projet, ce qui simplifie considérablement la mise en oeuvre.

    Nous sommes par contre en train de travailler sur un nouvel assistant d'installation, basé sur Symfony2 et non sur la stack legacy.

  3. #3
    Membre du Club
    Homme Profil pro
    Développeur informatique
    Inscrit en
    mars 2013
    Messages
    32
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Haute Garonne (Midi Pyrénées)

    Informations professionnelles :
    Activité : Développeur informatique
    Secteur : Aéronautique - Marine - Espace - Armement

    Informations forums :
    Inscription : mars 2013
    Messages : 32
    Points : 53
    Points
    53
    Par défaut
    Bonjour et merci pour votre réponse,

    J'ai actuellement un site fait avec la stack legacy qui est sur ez 5.1. J'aimerai le refaire en me basant sur la stack Symfony. Je voudrais me servir de la partie admin avec l'ancienne stack et la partie frontend la refaire entièrement avec des Bundles. Mon souci est que quand je configure mon fichier .yml, on dirait que le logiciel prend en compte uniquement la partie legacy.

    Maintenant, j'ai avancé depuis mon dernier post, en me servant de index_dev.php au lieu de index.php j'arrive à aller sur la stack Symfony que je développe.

    Cordialement,

Discussions similaires

  1. [Débutant] Impossible d'utiliser EF avec du SQLite (problème avec Visual)
    Par OkamiRyuu dans le forum Entity Framework
    Réponses: 0
    Dernier message: 31/05/2016, 08h50
  2. impossible d'utiliser sticky avec grid
    Par scheme dans le forum Tkinter
    Réponses: 2
    Dernier message: 24/07/2009, 11h48
  3. Impossible d'utiliser setColors avec un VertexBuffer
    Par 2beornot2be dans le forum Java ME
    Réponses: 0
    Dernier message: 27/04/2009, 14h48
  4. Réponses: 2
    Dernier message: 03/05/2006, 13h46
  5. Impossible d'utiliser DISTINCT avec des types image et ntext
    Par azlinch dans le forum MS SQL Server
    Réponses: 4
    Dernier message: 17/08/2005, 17h43

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo